Annotate output from playwright-screenshots scripts (#33176)

... to make it easier to see where it is coming from

Also, add a blank line before starting playwright itself
This commit is contained in:
Richard van der Hoff
2026-04-16 15:26:04 +00:00
committed by GitHub
parent 9c09a1b731
commit 733755abb2
@@ -9,7 +9,7 @@ SCRIPT_DIR=$(dirname "$SCRIPT_PATH")
function build_image() { function build_image() {
local IMAGE_NAME="$1" local IMAGE_NAME="$1"
echo "Building $IMAGE_NAME image in $SCRIPT_DIR" echo "playwright-screenshots: Building $IMAGE_NAME image in $SCRIPT_DIR"
docker build -t "$IMAGE_NAME" --build-arg "PLAYWRIGHT_VERSION=${IMAGE_NAME#*:}" "$SCRIPT_DIR" docker build -t "$IMAGE_NAME" --build-arg "PLAYWRIGHT_VERSION=${IMAGE_NAME#*:}" "$SCRIPT_DIR"
} }
@@ -34,16 +34,19 @@ CONTAINER=$(docker run --network=host -v /tmp:/tmp --rm -d -e PORT="$WS_PORT" "$
# Set up an exit trap to clean up the docker container # Set up an exit trap to clean up the docker container
clean_up() { clean_up() {
ARG=$? ARG=$?
echo "Stopping playwright-server" echo "playwright-screenshots: Stopping playwright-server"
docker stop "$CONTAINER" > /dev/null docker stop "$CONTAINER" > /dev/null
exit $ARG exit $ARG
} }
trap clean_up EXIT trap clean_up EXIT
# Wait for playwright-server to be ready # Wait for playwright-server to be ready
echo "Waiting for playwright-server" echo "playwright-screenshots: Waiting for playwright-server"
pnpm --dir "$SCRIPT_DIR" exec wait-on "tcp:$WS_PORT" pnpm --dir "$SCRIPT_DIR" exec wait-on "tcp:$WS_PORT"
# Playwright seems to overwrite the last line from the console, so add an
# extra newline to make sure this doesn't get lost.
echo -e "playwright-screenshots: Running '$@'\n"
# Run the test we were given, setting PW_TEST_CONNECT_WS_ENDPOINT accordingly # Run the test we were given, setting PW_TEST_CONNECT_WS_ENDPOINT accordingly
echo "Running '$@'"
PW_TEST_CONNECT_WS_ENDPOINT="http://localhost:$WS_PORT" "$@" PW_TEST_CONNECT_WS_ENDPOINT="http://localhost:$WS_PORT" "$@"